<?php

class TextHelper {
  /**
   * Match pattern and return one or more matches.
   * @param string $pattern Regular expression
   * @param string $text Text string
   * @param integer|NULL $index Matches index to return
   * @return string|array|NULL
   */
  public static function pregMatch($pattern, $text, $index = NULL) {
    if (preg_match($pattern, $text, $matches)) {
      if ($index === NULL) {
        return $matches;
      }
      else if (isset($matches[$index])) {
        return $matches[$index];
      }
    }
  }
}
